В бета-версии watchOS 4.3.1 появилось предупреждение, что скоро часы не будут открывать

0
399

В бета-версии watchOS 4.3.1 появилось предупреждение, что скоро часы не будут открывать приложения, которые были разработаны для watchOS 1.0, пишет Appleinsider.

При открытии старого приложение, которое давно не обновлялось, показывается уведомление, что устаревшие программы скоро будут несовместимы с платформой. Apple также предупреждает разработчиков, чтобы они обновили приложения для лучшей совместимости.

После нажатия кнопки «ОК» приложение откроется и будет работать нормально. На основе этого можно сделать вывод, что watchOS 4.3.1 будет совместима со старыми приложениями, в отличие от будущих версий. Предположительно, отказ от старых программ произойдёт с выходом watchOS 5 на WWDC 2018.

В ноябре 2017 года Apple перестала публиковать в App Store приложения, которые были разработаны для watchOS 1. С первого апреля разработчики должны использовать SDK для watchOS 2 и выше, чтобы компания разместила приложение в магазине.

Похожее уведомление было в iOS 10. Тогда Apple предупреждала пользователей, что 32-битные приложения не будут работать в iOS 11, если разработчики не обновят их.

Источник статьи

Читайте также:  В iOS 12 появится поддержка Face ID в горизонтальном режиме

Оставьте комментарий

Please enter your comment!
Please enter your name here

2 + 7 =